ModlAlongCurveAngle Class

class NXOpen.GeometricUtilities.ModlAlongCurveAngle

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

This class NXOpen.GeometricUtilities.ModlAlongCurveAngle represents motion type in ModlMotion

New in version NX8.5.0.

Properties

Property Description
AlongCurve Returns the value of transform.
AlongCurveAngle Returns the value of angular transform.
Curve Returns the curve on which doing the transform.
ReverseCurveDirection Returns or sets whether the direction of the curve to determine the transform should be reversed or not.
Tag Returns the Tag for this object.

Methods

Method Description
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AlongCurve

ModlAlongCurveAngle.AlongCurve

Returns the value of transform.

-------------------------------------

Getter Method

Signature AlongCurve

Returns:
Return type:NXOpen.GeometricUtilities.OnPathDimensionBuilder

New in version NX8.5.0.

License requirements: None.

AlongCurveAngle

ModlAlongCurveAngle.AlongCurveAngle

Returns the value of angular transform.

-------------------------------------

Getter Method

Signature AlongCurveAngle

Returns:
Return type:NXOpen.Expression

New in version NX8.5.0.

License requirements: None.

Curve

ModlAlongCurveAngle.Curve

Returns the curve on which doing the transform.

-------------------------------------

Getter Method

Signature Curve

Returns:
Return type:NXOpen.SelectCurve

New in version NX8.5.0.

License requirements: None.

ReverseCurveDirection

ModlAlongCurveAngle.ReverseCurveDirection

Returns or sets whether the direction of the curve to determine the transform should be reversed or not.

-------------------------------------

Getter Method

Signature ReverseCurveDirection

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReverseCurveDirection

Parameters:reverseCurveDirection (bool) –

New in version NX9.0.0.

License requirements: None.

Method Detail

Validate

ModlAlongCurveAngle.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.